## utf8-migration-tool 0.3

=== Makefile ===

all:

install:
	install -d -m755 $(DESTDIR)/usr/bin
	install -m755 utf8migrationtool $(DESTDIR)/usr/bin
	install -d -m755 $(DESTDIR)/usr/share/utf8-migration-tool/pylib
	install -d -m755 $(DESTDIR)/usr/share/utf8-migration-tool/pylib/wizard
	install -m644 lib/*.py $(DESTDIR)/usr/share/utf8-migration-tool/pylib
	install -m644 lib/wizard/*.py $(DESTDIR)/usr/share/utf8-migration-tool/pylib/wizard

	install -d -m755 $(DESTDIR)/usr/share/utf8-migration-tool/glade
	install -m644 glade/*.glade $(DESTDIR)/usr/share/utf8-migration-tool/glade

=== {arch}/++pristine-trees/unlocked/utf-8-migration-tool/utf-8-migration-tool--devo/utf-8-migration-tool--devo--0/tfheen@err.no--2005/utf-8-migration-tool--devo--0--patch-10/debian/changelog ===
utf8-migration-tool (0.3) hoary; urgency=low

  * Enable sane handling of C locale upgrades by giving a list of en_*
    locales as those are the ones matching C closest.
  * Don't say that we need to convert any file names when all the file
    names are already UTF8 compatible.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Thu, 17 Mar 2005 23:18:00 +0100

utf8-migration-tool (0.2) hoary; urgency=low

  * Fix configuration writer to not add spaces around equal sign.
  * Handle C locales a bit more sanely (that is, err out with an error
    message for now.)
  * Rename directories before the files contained in them.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Wed,  2 Mar 2005 22:18:16 +0100

utf8-migration-tool (0.1.1) hoary; urgency=low

  * Build-depend on python.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Feb 2005 23:12:22 +0000

utf8-migration-tool (0.1) hoary; urgency=low

  * Initial release

 -- Tollef Fog Heen <tfheen@canonical.com>  Wed,  9 Feb 2005 16:40:21 +0100

=== {arch}/++pristine-trees/unlocked/utf-8-migration-tool/utf-8-migration-tool--devo/utf-8-migration-tool--devo--0/tfheen@err.no--2005/utf-8-migration-tool--devo--0--patch-10/debian/control ===
Source: utf8-migration-tool
Section: misc
Priority: optional
Maintainer: Tollef Fog Heen <tfheen@canonical.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 4.1.25), python

Package: utf8-migration-tool
Architecture: all
Depends: ${python:Depends}
Description: convert to UTF-8 locale including renaming of files
 This program will change your default locale to the equivalent UTF-8
 locale to the one you are using.  It will also rename any files to
 the equivalent UTF-8 file name.

=== {arch}/++pristine-trees/unlocked/utf-8-migration-tool/utf-8-migration-tool--devo/utf-8-migration-tool--devo--0/tfheen@err.no--2005/utf-8-migration-tool--devo--0--patch-10/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export LANG=C

DESTDIR=$(CURDIR)/debian/utf8-migration-tool

build: 

clean:
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(DESTDIR)
	install -m644 debian/hook $(DESTDIR)/var/lib/update-notifier/user.d/

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_link
	dh_python
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## utf8-migration-tool 0.5.2

=== debian/changelog ===
utf8-migration-tool (0.5.2) unstable; urgency=high

  * Fixed typo that resulted in RC bug (Closes: #406966).

 -- Martin-Éric Racine <q-funk@iki.fi>  Mon, 15 Jan 2007 19:40:39 +0200

utf8-migration-tool (0.5.1) unstable; urgency=low

  * Merged pedantic regex rule by Nicolas François (see #405968 thread).

 -- Martin-Éric Racine <q-funk@iki.fi>  Fri, 12 Jan 2007 15:38:14 +0200

utf8-migration-tool (0.5.0) unstable; urgency=low

  * Merged comprehensive patch by Nicolas François:
    - Strip encodings and modifiers as necessary:
      * The original encoding is only used as a conversion variable for 
        the file renaming step and otherwise stripped (Closes: #405967).
      * The modifier is preserved except for @euro (Closes: #405968).
    - Warn the user when no locale is set, or when the current locale is
      not supported by the system libraries, and exit (Closes: #405878).
    - Do not fail if ~/.dmrc is missing (Closes: #405879).
    - Detect failure when renaming files.
  * Moved display manager Depends to Recommends (handled by dmrc patch).
    TODO: figure out how to upgrade systems without any display manager.
    This requires upgrading environment variables, in the initialization
    scripts of the login shell. This is difficult, because there are too
    many shells we need to support (Debian uses bash but users sometimes
    prefer tcsh or zsh) and every shell has several possible files where
    the environment variables can reside.
  * Upgraded source to Standards-Version 3.7.2 (no change required).
  * Removed Tollef from Uploaders at his request.

 -- Martin-Éric Racine <q-funk@iki.fi>  Tue,  9 Jan 2007 12:21:51 +0200

utf8-migration-tool (0.4.3) unstable; urgency=low

  * Fixed "Anglicisme in French menu translation" (Closes: #405892).
  * Migrated Tollef to his Debian address in debian/control.
  * Inverted the Maintainer and Uploaders content.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun,  7 Jan 2007 16:29:11 +0200

utf8-migration-tool (0.4.2) unstable; urgency=low

  * Added Depends: gdm | kdm | wdm, as suggested by Osamu Aoki.
    Should fix the issue reported by Alexander Patrakov in #374997. 
  * TODO: 
    Add support for special cases such as Russian KOI8-R and for 
    locales migrating from the @euro variant (see #374997). 
    Patches are welcome!     

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun,  7 Jan 2007 01:23:18 +0200

utf8-migration-tool (0.4.1) unstable; urgency=low

  * Merged patch by Vincent Bernat to remove hard-coded GTK theme.
  * First upload to Debian (Closes: #374997):
    - Upgraded build scripts to CDBS.
    - Added missing dependencies.
    - Added myself to Uploaders.
    - Created desktop menu.
    - Created manual page.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sat, 30 Dec 2006 01:30:52 +0200

## utf8-migration-tool 0.5.3

=== debian/changelog ===
utf8-migration-tool (0.5.3) unstable; urgency=low

  * Merged patch by Nicolas François to separately rename directories
    and files (Closes: #415873).

 -- Martin-Éric Racine <q-funk@iki.fi>  Tue, 27 Mar 2007 15:40:34 +0300

## utf8-migration-tool 0.5.4

=== debian/changelog ===
utf8-migration-tool (0.5.4) unstable; urgency=low

  * Fixed Lintian issues:
    I: utf8-migration-tool: desktop-entry-contains-encoding-key 
    W: utf8-migration-tool: desktop-entry-invalid-category 

 -- Martin-Éric Racine <q-funk@iki.fi>  Thu, 13 Sep 2007 13:43:31 +0300

=== debian/control ===
Source: utf8-migration-tool
Section: misc
Priority: optional
Maintainer: Martin-Éric Racine <q-funk@iki.fi>
Standards-Version: 3.7.2
Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.37.2), python-dev (>= 2.3.5-11), python-support (>= 0.3.2)

Package: utf8-migration-tool
Architecture: all
Depends: python-gtk2 (>= 2.4.0), python-glade2, ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Recommends: gdm | kdm | wdm
Description: Debian UTF-8 migration wizard
 This wizard upgrades legacy system locales to their UTF-8 
 equivalent. It also informs users whenever files in their 
 home directory still utilize legacy encodings.

## utf8-migration-tool 0.5.5

=== debian/changelog ===
utf8-migration-tool (0.5.5) unstable; urgency=low

  * The "This Package Desperatly Needs a New Maintainer" release.
  * Fixed Lintian issues:
    W: package-uses-deprecated-debhelper-compat-version
    W: copyright-refers-to-versionless-license-file
  * Bumped Standards-Version to 3.8.0 (no change required).

 -- Martin-Éric Racine <q-funk@iki.fi>  Fri, 24 Apr 2009 20:40:17 +0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: misc
 Priority: optional
 Maintainer: Martin-Éric Racine <q-funk@iki.fi>
-Standards-Version: 3.7.2
-Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.37.2), python-dev (>= 2.3.5-11), python-support (>= 0.3.2)
+Build-Depends: debhelper (>= 5.0.37.2), cdbs (>= 0.4.43), python-support (>= 0.3.2), python-dev (>= 2.3.5-11)
+Build-Depends-Indep: python-gtk2-dev
+Standards-Version: 3.8.0
 
 Package: utf8-migration-tool
 Architecture: all

## utf8-migration-tool 0.5.6

=== debian/changelog ===
utf8-migration-tool (0.5.6) unstable; urgency=low

  * QA upload
  - Changed maintainer to QA group
  - Bumped Standards-Version to 3.8.2 (no other changes required)
  - Changed recommends to the x-display-manager virtual package 
    instead an incomplete display manager list
  - Split long lines of dependencies 

 -- Ricardo Mones <mones@debian.org>  Thu, 23 Jul 2009 13:35:09 +0200

=== debian/control ===
Source: utf8-migration-tool
Section: misc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 5.0.37.2), cdbs (>= 0.4.43),
 python-support (>= 0.3.2), python-dev (>= 2.3.5-11)
Build-Depends-Indep: python-gtk2-dev
Standards-Version: 3.8.2

Package: utf8-migration-tool
Architecture: all
Depends: python-gtk2 (>= 2.4.0), python-glade2, ${misc:Depends},
 ${python:Depends}, ${shlibs:Depends}
Recommends: x-display-manager
Description: Debian UTF-8 migration wizard
 This wizard upgrades legacy system locales to their UTF-8 
 equivalent. It also informs users whenever files in their 
 home directory still utilize legacy encodings.

## utf8-migration-tool 0.5.7

=== debian/changelog ===
utf8-migration-tool (0.5.7) unstable; urgency=low

  * QA upload
  - Bump Standards-Version to 3.9.3 (no other changes)
  - Update manpage, patch by Bastien Scher (Closes: #416584)

 -- Ricardo Mones <mones@debian.org>  Sat, 12 May 2012 01:55:31 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 5.0.37.2), cdbs (>= 0.4.43),
  python-support (>= 0.3.2), python-dev (>= 2.3.5-11)
 Build-Depends-Indep: python-gtk2-dev
-Standards-Version: 3.8.2
+Standards-Version: 3.9.3
 
 Package: utf8-migration-tool
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
#
# CDBS debian/rules for upgrade-system
# Martin-Eric Racine <q-funk@iki.fi>
#
DEB_PYTHON_SYSTEM = pysupport
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/python-distutils.mk
DEB_PYTHON_SETUP_CMD := pylib/configure.py
common-binary-post-install-indep:: list-missing
#EOF

## utf8-migration-tool 0.5.8

=== debian/changelog ===
utf8-migration-tool (0.5.8) unstable; urgency=low

  * QA upload
  * Replace deprecated python-support with dh_python2,
    dh-python added to Build-Depends
  * Convert from CDBS to dh sequencer (CDBS doesn't invoke dh_python2 although
    it claims to use it if DEB_PYTHON_SYSTEM is not set)
  * debhelper comatibility level bumped to 9
  * Bump Standards-Version to 3.9.5 (no other changes)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 13 Jul 2014 19:18:51 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: misc
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 5.0.37.2), cdbs (>= 0.4.43),
- python-support (>= 0.3.2), python-dev (>= 2.3.5-11)
+Build-Depends: debhelper (>= 9), dh-python, python-dev
 Build-Depends-Indep: python-gtk2-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 
 Package: utf8-migration-tool
 Architecture: all

## utf8-migration-tool 0.5.9

=== debian/changelog ===
utf8-migration-tool (0.5.9) unstable; urgency=medium

  * QA upload.
  * Updated DH level to 10.
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - ${shlibs:Depends} removed because it is not necessary.
  * debian/copyright: converted to format 1.0.
  * debian/source/format: created using 3.0 (native).
  * debian/stamp-autotools-files: deleted.
  * utf8migrationtool.desktop: added a Keywords entry.

 -- Paulo Henrique de Lima Santana (phls) <phls@softwarelivre.org>  Mon, 31 Oct 2016 23:18:35 -0200

=== debian/control ===
Source: utf8-migration-tool
Section: misc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python-all
Build-Depends-Indep: python-gtk2-dev
Standards-Version: 3.9.8

Package: utf8-migration-tool
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-gtk2 (>= 2.4.0),
         python-glade2
Recommends: x-display-manager
Description: Debian UTF-8 migration wizard
 This wizard upgrades legacy system locales to their UTF-8
 equivalent. It also informs users whenever files in their
 home directory still utilize legacy encodings.
